Bug 963893 - FTBFS: eclipse-cdt-8.2.0-0.6.m7.fc19 on power
FTBFS: eclipse-cdt-8.2.0-0.6.m7.fc19 on power
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
19
powerpc Linux
high Severity high
: ---
: ---
Assigned To: Jeff Johnston
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 14:04 EDT by David Aquilina
Modified: 2014-06-23 20:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 16:12:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Aquilina 2013-05-16 14:04:15 EDT
Description of problem:

eclipse-cdt-8.1.2-1.fc19 fails to build on power: 

https://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1108896

build log: http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/8896/1108896/build.log

[ERROR] Failed to execute goal org.eclipse.tycho.extras:tycho-eclipserun-plugin:0.17.0:eclipse-run (default) on project org.eclipse.cdt.doc.user: The parameters 'repositories' for goal org.eclipse.tycho.extras:tycho-eclipserun-plugin:0.17.0:eclipse-run are missing or invalid -> [Help 1]
[ERROR] Failed to execute goal org.eclipse.tycho.extras:tycho-eclipserun-plugin:0.17.0:eclipse-run (default) on project org.eclipse.cdt.doc.isv: The parameters 'repositories' for goal org.eclipse.tycho.extras:tycho-eclipserun-plugin:0.17.0:eclipse-run are missing or invalid -> [Help 1]
[ERROR] Failed to execute goal org.eclipse.tycho.extras:tycho-eclipserun-plugin:0.17.0:eclipse-run (default) on project org.eclipse.cdt.autotools.docs: The parameters 'repositories' for goal org.eclipse.tycho.extras:tycho-eclipserun-plugin:0.17.0:eclipse-run are missing or invalid -> [Help 1]
[ERROR]
Comment 1 Alexander Kurtakov 2013-05-16 14:09:42 EDT
eclipse-cdt-8.2.0-0.3.m6.fc19 has been in Fedora 19 for sometime already, eclipse-cdt-8.2.0-0.6.m7.fc19 is pending stable compose to get in. 
What is the reason to try building 8.1.2 now ?
Comment 2 David Aquilina 2013-05-16 14:46:31 EDT
Looks like koji-shadow didn't even try to build 8.2.0 because of missing eclipse versions that it was built with on primary. 

Do you know off-hand if the build problems we saw with 8.1.2 fixed in 8.2.0?

(those eclipse versions still aren't building on power, fwiw.)
Comment 3 Alexander Kurtakov 2013-05-16 14:49:28 EDT
(In reply to comment #2)
> Looks like koji-shadow didn't even try to build 8.2.0 because of missing
> eclipse versions that it was built with on primary. 
> 
> Do you know off-hand if the build problems we saw with 8.1.2 fixed in 8.2.0?
> 
> (those eclipse versions still aren't building on power, fwiw.)

yes, latest 8.2.0 contains fixes for this.
Comment 4 David Aquilina 2013-05-16 17:08:10 EDT
I tried doing a scratch build of eclipse-cdt-8.2.0-0.6.m7.fc19 (since we don't have the same version of eclipse used on primary yet) and it died with this: 

# A fatal error has been detected by the Java Runtime Environment:
#
#  Internal Error (classFileParser.cpp:500), pid=36712, tid=3482317968
#  fatal error: bad constant pool tag value 0

full log: http://ppc.koji.fedoraproject.org/kojifiles/work/tasks/2971/1112971/build.log
Comment 5 David Aquilina 2013-05-21 16:12:33 EDT
With a more recent eclipse & co we were able to build eclipse-cdt-8.2.0.

Note You need to log in before you can comment on or make changes to this bug.